Subject: Re: symlink problem after applying commit 0c1fc9d

From: Kent Engström <[email-masked]>
Date: Sun, 18 Apr 2021 09:41:55 +0200

Kent Engström <[email-masked]> writes:
> I use a setup for testing native-comp, where I install to prefix
> /opt/emacs/native-comp and then symlink as below
>
> /opt/emacs ▶ ls -l current
> lrwxrwxrwx. 1 kent kent 11 Apr 15 11:08 current -> native-comp
>
> as I have /opt/emacs/current/bin on my $PATH.
>
> After updating to 0c1fc9d, "* Fix native-comp startup for symliked
> binary (bug#44128)" my emacs startup fails with
>
> emacs: could not resolve realpath of "emacs": No such file or directory
>
> Checking out the previous commit b064ddd, "Merge remote-tracking branch
> 'savannah/master' into native-comp" and doing a "make install"
> gives me a working emacs binary again.

Just a quick followup: after updating to commit 75c898e, starting emacs
works again for my setup above.

/ kent